# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name WeakRef
%define upstream_version 0.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt7_32
Summary:	An API to the Perl weak references
License:	GPL or Artistic
Group:		Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/WeakRef/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel
Source44: import.info


%description
A patch to Perl 5.005_55 by the author implements a core API for weak
references. This module is a Perl-level interface to that API, allowing weak
references to be created in Perl.

A weak reference is just like an ordinary Perl reference except that it isn't
included in the reference count of the thing referred to. This means that once
all references to a particular piece of data are weak, the piece of data is
freed and all the weak references are set to undef. This is particularly useful
for implementing circular data structures without memory leaks or caches of
objects.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes README
%{perl_vendor_archlib}/*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 0.01-alt7_32
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt7_31
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_31
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt6_30
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_29
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt6_28
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt5_28
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt4_28
- rebuild with perl 5.30

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_28
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_27
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_26
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt3_25
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_25
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_24
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_23
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_23
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_22
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_21
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt6_20
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt5_20
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt5_19
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt5_18
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt4_18
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt4_17
- rebuild to get rid of unmets

* Thu Oct 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_17
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_16
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt3_15
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_15
- update by mgaimport

* Tue Nov 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_14
- update by mgaimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt2_13
- rebuild with new perl

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_13
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_11
- converted for ALT Linux by srpmconvert tools

